// MyUtils.h
//
// Einige kleine Tools
//

#ifndef MY_UTILS_H
#define MY_UTILS_H

#include <inttypes.h>
#include <avr/io.h>

//#define bool unsigned char
#define true 1
#define false 0

#define nop() asm("nop");

void SPI_Disable(void);
void SPI_Enable(void);

void SPI_Send(char cData);


// Wartefunktionen

/* 8-bit count, 3 cycles/loop */
static inline void
_delay_loop_1(unsigned char __count)
{
	asm volatile (
		"1: dec %0" "\n\t"
		"brne 1b"
		: "=r" (__count)
		: "0" (__count)
	);
}

/* 16-bit count, 4 cycles/loop */
static inline void
_delay_loop_2(unsigned int __count)
{
	asm volatile (
		"1: sbiw %0,1" "\n\t"
		"brne 1b"
		: "=w" (__count)
		: "0" (__count)
	);
}

#define Delayms(ms) \
{ \
    register unsigned short __count = ms / 4.0 / 1000.0 * 16000000;\
	asm volatile ( \
		"1: sbiw %0,1" "\n\t" \
		"brne 1b" \
		: "=w" (__count) \
		: "0" (__count)); \
};

#endif







