//
// Thermo.h
//
// Routinen zur Ansteuerung des DS18S20 Thermometers
//

#ifndef THERMO_H
#define THERMO_H


// Pin fr das Thermometer
#define THERMOPORT PORTD
#define THERMOPORTIN PIND
#define THERMODDR DDRD
#define THERMOPIN PD1

#define TH_BH {THERMOPORT |= _BV(THERMOPIN);}
#define TH_BL {THERMOPORT &= ~_BV(THERMOPIN);}
#define TH_BR {/*THERMOPORT &= ~_BV(THERMOPIN);*/THERMODDR &= ~_BV(THERMOPIN);}
#define TH_BS {THERMODDR |= _BV(THERMOPIN); THERMOPORT |= _BV(THERMOPIN);}
#define TH_RB ((unsigned char) THERMOPORTIN & (unsigned char) _BV(THERMOPIN))

#define TH_SKIP_ROM 0xCC
#define TH_CONVERT_TEMPERATURE 0x44
#define TH_READ_SCRATCH_PAD 0xBE


signed char THERMO_GetTemp( void );
void THERMO_Init_Temp_Read( void );

#endif





